> ## Documentation Index
> Fetch the complete documentation index at: https://developer.box.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Convert content to Box Note

> Creates a Box Note (`.boxnote` file) from supported source content. See the `content_format` field for supported formats.

<Note>
  Learn more about [Box SDK versioning strategy](/guides/tooling/sdks/sdk-versioning/).
</Note>


## OpenAPI

````yaml box-openapi-v2026.0.json POST /notes/convert
openapi: 3.0.2
info:
  title: Box Platform API
  description: >-
    [Box Platform](https://developer.box.com) provides functionality to provide
    access to content stored within [Box](https://box.com). It provides
    endpoints for basic manipulation of files and folders, management of users
    within an enterprise, as well as more complex topics such as legal holds and
    retention policies.
  termsOfService: https://cloud.app.box.com/s/rmwxu64h1ipr41u49w3bbuvbsa29wku9
  contact:
    name: Box, Inc
    url: https://developer.box.com
    email: devrel@box.com
  license:
    name: Apache-2.0
    url: https://www.apache.org/licenses/LICENSE-2.0
  version: '2026.0'
  x-box-commit-hash: 056413ec44
servers:
  - url: https://api.box.com/2.0
    description: Box Platform API server.
security:
  - OAuth2Security: []
tags:
  - name: Automate Workflows
    description: Endpoints for listing and manually starting Automate workflow actions.
    x-box-tag: automate_workflows
  - name: Convert to Box note
    description: Create Box Notes from supported source content (for example Markdown).
    x-box-tag: notes
externalDocs:
  description: Box Developer Documentation.
  url: https://developer.box.com
paths:
  /notes/convert:
    post:
      tags:
        - Convert to Box note
      summary: Convert content to Box Note
      description: >-
        Creates a Box Note (`.boxnote` file) from supported source content. See
        the `content_format` field for supported formats.
      operationId: post_notes_convert_v2026.0
      parameters:
        - $ref: '#/components/parameters/BoxVersionHeader'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/NotesConvertRequestBody'
      responses:
        '201':
          description: The note was created successfully.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotesConvertResponse'
        '400':
          description: >-
            Returned when the request body is malformed, fails schema
            validation, or required fields are missing. A missing or unknown
            parent folder is not indicated with this status (see `404`).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '401':
          description: >-
            Returned when the access token provided in the `Authorization`
            header is not recognized or not provided.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '403':
          description: >-
            Returned when the authenticated user does not have permission to
            create a file in the parent folder.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '404':
          description: >-
            Returned when the parent folder does not exist, or the user does not
            have access to it.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '409':
          description: >-
            Returned when a preflight check fails (for example, a name
            conflict).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '413':
          description: Returned when the request payload is too large.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '422':
          description: Returned when the content could not be converted to a note.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '500':
          description: Returned when an unexpected server error occurs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        '501':
          description: >-
            Returned when this operation is not implemented or not yet available
            on the server (for example, while routing to the Notes service is
            still being enabled).
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
        default:
          description: Returned when an unexpected client error occurs.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClientError'
      x-codeSamples:
        - lang: dotnet
          label: Convert content to Box Note
          source: >-
            await client.Notes.CreateNoteConvertV2026R0Async(requestBody: new
            NotesConvertRequestBodyV2026R0(content: markdownContent,
            contentFormat:
            NotesConvertRequestBodyV2026R0ContentFormatField.Markdown, parent:
            new FolderReferenceV2026R0(id: "0"), name: noteName));
        - lang: swift
          label: Convert content to Box Note
          source: >-
            try await client.notes.createNoteConvertV2026R0(requestBody:
            NotesConvertRequestBodyV2026R0(content: markdownContent,
            contentFormat:
            NotesConvertRequestBodyV2026R0ContentFormatField.markdown, parent:
            FolderReferenceV2026R0(id: "0"), name: noteName))
        - lang: java
          label: Convert content to Box Note
          source: >-
            client.getNotes().createNoteConvertV2026R0(new
            NotesConvertRequestBodyV2026R0.Builder(markdownContent, new
            FolderReferenceV2026R0("0"),
            noteName).contentFormat(NotesConvertRequestBodyV2026R0ContentFormatField.MARKDOWN).build())
        - lang: node
          label: Convert content to Box Note
          source: |-
            await client.notes.createNoteConvertV2026R0({
              content: markdownContent,
              contentFormat: 'markdown' as NotesConvertRequestBodyV2026R0ContentFormatField,
              parent: new FolderReferenceV2026R0({ id: '0' }),
              name: noteName,
            } satisfies NotesConvertRequestBodyV2026R0Input);
        - lang: python
          label: Convert content to Box Note
          source: |-
            client.notes.create_note_convert_v2026_r0(
                markdown_content,
                FolderReferenceV2026R0(id="0"),
                note_name,
                content_format=CreateNoteConvertV2026R0ContentFormat.MARKDOWN,
            )
components:
  parameters:
    BoxVersionHeader:
      name: box-version
      in: header
      description: Version header.
      allowEmptyValue: false
      required: true
      schema:
        type: string
        enum:
          - '2026.0'
      example: '2026.0'
  schemas:
    NotesConvertRequestBody:
      description: Request body for converting source content into a Box Note file.
      type: object
      properties:
        content:
          description: >-
            The content to convert to a note. See the `content_format` field for
            supported formats.
          example: '# My note\n\nHello from Markdown.'
          maxLength: 1048576
          type: string
        content_format:
          description: Format of the content to convert.
          type: string
          example: markdown
          enum:
            - markdown
        parent:
          $ref: '#/components/schemas/FolderReference'
        name:
          description: >-
            The name for the created note. The `.boxnote` extension is appended
            automatically.
          type: string
          example: Quarterly plan
          maxLength: 247
          minLength: 1
      additionalProperties: false
      required:
        - content
        - content_format
        - parent
        - name
      title: Notes convert request body
      x-box-tag: notes
    NotesConvertResponse:
      description: Identifies the created Box Note file.
      type: object
      properties:
        type:
          description: The Box resource type; always `file` for a Box file.
          type: string
          example: file
          enum:
            - file
        id:
          description: Box file ID of the created `.boxnote` file.
          type: string
          example: '1234567890'
      additionalProperties: false
      required:
        - type
        - id
      title: Notes convert response
      x-box-resource-id: notes_convert_created_file_v2026.0
      x-box-tag: notes
    ClientError:
      description: A generic error.
      type: object
      properties:
        type:
          description: The value will always be `error`.
          type: string
          example: error
          enum:
            - error
          nullable: false
        status:
          description: The HTTP status of the response.
          type: integer
          format: int32
          example: 400
          nullable: false
        code:
          description: A Box-specific error code.
          type: string
          example: item_name_invalid
          enum:
            - created
            - accepted
            - no_content
            - redirect
            - not_modified
            - bad_request
            - unauthorized
            - forbidden
            - not_found
            - method_not_allowed
            - conflict
            - precondition_failed
            - too_many_requests
            - internal_server_error
            - unavailable
            - item_name_invalid
            - insufficient_scope
        message:
          description: A short message describing the error.
          type: string
          example: Method Not Allowed
          nullable: false
        context_info:
          description: >-
            A free-form object that contains additional context about the error.
            The possible fields are defined on a per-endpoint basis. `message`
            is only one example.
          type: object
          example:
            message: Something went wrong
          additionalProperties: {}
          nullable: true
        help_url:
          description: A URL that links to more information about why this error occurred.
          type: string
          example: >-
            https://developer.box.com/guides/api-calls/permissions-and-errors/common-errors/
          nullable: false
        request_id:
          description: >-
            A unique identifier for this response, which can be used when
            contacting Box support.
          type: string
          example: abcdef123456
          nullable: false
      title: Client error
      x-box-resource-id: client_error_v2026.0
    FolderReference:
      description: Folder reference.
      type: object
      properties:
        type:
          description: The value will always be `folder`.
          type: string
          example: folder
          enum:
            - folder
          nullable: false
        id:
          description: ID of the folder.
          type: string
          example: '42037322'
      required:
        - type
        - id
      title: Folder reference
  securitySchemes:
    OAuth2Security:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://account.box.com/api/oauth2/authorize
          tokenUrl: https://api.box.com/oauth2/token
          scopes:
            root_readonly: Read all files and folders stored in Box
            root_readwrite: Read and write all files and folders stored in Box
            manage_app_users: Provision and manage app users
            manage_managed_users: Provision and manage managed users
            manage_groups: Manage an enterprise's groups
            manage_webhook: Create webhooks programmatically through the API
            manage_enterprise_properties: Manage enterprise properties
            manage_data_retention: Manage data retention polices
            manage_legal_hold: Manage Legal Holds

````